package com.jwipc.message.convert;

import com.jwipc.message.dto.AddresseeUserDTO;
import com.jwipc.message.dto.MessageCenterDTO;
import com.jwipc.message.dto.MessageCenterParamDTO;
import com.jwipc.message.entity.MessageCenter;
import com.jwipc.message.model.po.AddresseeUserPO;
import com.jwipc.message.model.po.MessageCenterPO;
import org.mapstruct.Mapper;

import java.util.List;

/**
 * @author shenyang.ou
 * @date 2024/7/3 10:54
 * @desc
 */
@Mapper(componentModel = "spring")
public interface MessageCenterConvert {
    MessageCenterDTO entity2DTO(MessageCenter messageCenter);

    List<AddresseeUserDTO> userPO2DTOList(List<AddresseeUserPO> addresseeUserPOS);

    MessageCenter DTO2Entity(MessageCenterParamDTO param);

    List<MessageCenterDTO> po2DTOList(List<MessageCenterPO> inquiryPOS);

    MessageCenterDTO po2DTO(MessageCenterPO messageCenter);
}
